package org.jeecg.modules.ctop.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.ctop.entity.UReportFile;

import java.util.List;
import java.util.Map;

/**
 * 报表文件存储
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2020-01-15
 */
public interface IUReportFileService extends IService<UReportFile> {
    /**
     * 根据报表名称检查报表是否存在
     *
     * @param name 报表名称
     */
    boolean checkExistByName(String name);

    /**
     * 根据报表名称查询报表
     *
     * @param name 报表名称
     */
    UReportFile getReportFileByName(String name);

    /**
     * 查询全部报表
     */
    List<UReportFile> listAllReportFile();

    /**
     * 根据报表名称删除报表
     *
     * @param name 报表名称
     */
    boolean removeReportFileByName(String name);


    /**
     * 保存报表
     */
    boolean saveReportFile(UReportFile entity);

    /**
     * 更新报表
     */
    boolean updateReportFile(UReportFile entity);

    Map<String, Object> bindUsers(JSONObject data);

    Map<String, Object> unbindUser(JSONObject data);
}
